• English
  • Bulk Query Pay In Order

    Request path

    /api/v2/virtual/order/pageList

    Parameter list

    NameTypeLengthRequiredDescription
    accountNoString10noIf the number of the virtual account or the number of the merchant's main account is not provided, the endpoint returns all Pay-In orders under the merchant's main account and all virtual accounts.
    startTimeLong13yesThe start time of Pay-In order creation (timestamp)
    endTimeLong13yesThe end time of the Pay-In order creation (timestamp), the maximum time range is 30 days
    pageIndexInteger11noThe current page If this parameter is not provided, it will show up the first page by default.
    pageSizeInteger3noNumber of entries per page,Default 50, Maximum 500

    Return value

    NameTypeLengthRequiredDescription
    respCodeInteger8yesResponse code ● See Error Code
    respMsgString200yesResponse message
    totalCountInteger11yesTotal counts
    pageSizeInteger3yesCounts of each page
    pageIndexInteger11yesThe current page
    listarray   
    yes    
         
    orderNoString64yesPalmPay order no
    orderStatusInteger3yesVirtual Account order status (see Virtual Account order status)
    createdTimeLong13yesOrder creation time
    updateTimeLong13yesOrder update time
    currencyString3yesOrder currency(NGN) ● See Currency 《Data Dictionary》)
    orderAmountLong19yesOrder amount :The initial amount of the external transfer (Unit of measurement: cent For example, "100" means 1 NGN)
    referenceString512noPayer reference
    payerAccountNoString64yesPayer account number
    payerAccountNameString200yesPayer account name
    payerBankNameString64yesPayer bank name
    virtualAccountNoString64noVirtual account number(Only transfers to the virtual account will be returned, transfers to the merchant's balance will not be returned)
    virtualAccountNameString200noVirtual account name(Only transfers to the virtual account will be returned, transfers to the merchant's balance will not be returned)
    accountReferenceString120noThis is a reference field for the virtual account.
    sessionIdString128NoChannel Response Parameters. Note: Most of the non-NIBSS channels do not return sessionId, if there is any problem with this type of order, you need to provide the order number to PalmPay to confirm the actual arrival of the payee.

    Error code

    Error code

    Postman example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/virtual/order/pageList' \
    --header 'Authorization: Bearer L231127063379321376521' \
    --header 'countryCode: NG' \
    --header 'Signature: TwguXAzSzkqozysv6ZbhBuu7fCXxtzf6veWDKRw3h/w99/6RB2rwGeO4h2sF8OUQYmJdXOxRp/XuG61aVRZdvvUItAp0vzMR6CmLHhfnePbyrmQ8YzMVJ5x1B0d8Hg0OrngJbb65e0SjceSGLHxfvRJBR3yIjbGygkAIaimDP6FlvYkL45DHZ3dVE4jIGx6PI9SCoU4lVeFQ8LTzclv3DtsLV11Pxdov5werRX35J5SiwFmtTkp9q4NpRpOiK9zhUmnr1FsP8SnGIqsJvKFXqJ3Pt4+djF5cpVGyT5KabNhXOIzvlcaGjK28AEQGVYPDM3kfWwehY0f7NLLPsatW4Q==' \
    --header 'content-type: application/json;charset=UTF-8' \
    --data '{
    	"requestTime":1705478935310,
    	"pageIndex":1,
    	"accountNo":"6683582280",
    	"pageSize":50,
    	"startTime":1702478935364,
    	"endTime":1705478935364,
    	"version":"V2.0",
    	"nonceStr":"QzV0CvC36JXPEJzWqXsgb6koddda1f1W"
    }'

    response

    {
      "data": {
        "pageIndex": 1,
        "pageSize": 50,
        "totalCount": 4,
        "list": [{
          "orderNo": "MI1747467913272733696",
          "payerAccountNo": "",
          "orderStatus": 1,
          "payerBankName": "ACCESS BANK NIGERIA",
          "updateTime": 1705463801971,
          "virtualAccountName": "asd test",
          "reference": "NIbss",
          "orderAmount": 12300,
          "createdTime": 1705463791565,
          "currency": "NGN",
          "payerAccountName": "abigaile jack",
          "virtualAccountNo": "6683582280",
          "accountReference": "accountReference example",
          "sessonId": "090400010202502110345301100221"
        }, {
          "orderNo": "031voa5e30800",
          "payerAccountNo": "12347067",
          "orderStatus": 1,
          "payerBankName": "PalmPay",
          "updateTime": 1703561872033,
          "virtualAccountName": "test_1(vbs)",
          "orderAmount": 10000,
          "createdTime": 1703561868390,
          "currency": "NGN",
          "payerAccountName": "zhang san tecv",
          "virtualAccountNo": "6683582280",
          "accountReference": "accountReference example",
          "sessonId": "090400010202502110345301100221"
        }, {
          "orderNo": "031vmvpr2a600",
          "payerAccountNo": "12347067",
          "orderStatus": 1,
          "payerBankName": "PalmPay",
          "updateTime": 1703496503900,
          "virtualAccountName": "test_1(vbs)",
          "orderAmount": 20000,
          "createdTime": 1703496500411,
          "currency": "NGN",
          "payerAccountName": "zhang san tecv",
          "virtualAccountNo": "6683582280",
          "accountReference": "accountReference example",
          "sessonId": "090400010202502110345301100221"
        }, {
          "orderNo": "031vmvm62a600",
          "payerAccountNo": "12347067",
          "orderStatus": 1,
          "payerBankName": "PalmPay",
          "updateTime": 1703496375309,
          "virtualAccountName": "test_1(vbs)",
          "orderAmount": 20000,
          "createdTime": 1703496371697,
          "currency": "NGN",
          "payerAccountName": "zhang san tecv",
          "virtualAccountNo": "6683582280",
          "accountReference": "accountReference example",
          "sessonId": "090400010202502110345301100221"
        }],
        "notEmpty": true,
        "empty": false
      },
      "respMsg": "success",
      "respCode": "00000000",
      "status": true
    }